package app.furmeet.events.system.developer

import android.content.Intent
import android.graphics.drawable.Drawable
import android.os.Bundle
import com.adlerosn.brasilfurfest.R
import app.furmeet.events.system.TranslatableAppCompatActivity
import app.furmeet.events.system.helper.KnownAssets
import app.furmeet.events.system.legal.SoftwareLicensesActivity
import com.adlerosn.brasilfurfest.databinding.ActivityDeveloperBinding

//import kotlinx.android.synthetic.main.activity_developer.*

class DeveloperActivity : TranslatableAppCompatActivity() {

    lateinit var binding: ActivityDeveloperBinding

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        binding = ActivityDeveloperBinding.inflate(layoutInflater)
        val view = binding.root
        setContentView(view)
        binding.dev1HeadShotImg.setImageDrawable(
                Drawable.createFromStream(
                        assets.open(KnownAssets.dev1HeadShot),
                        null
                )
        )
        binding.actionSoftwareLicenses.setOnClickListener {
            Intent(this, SoftwareLicensesActivity::class.java).apply {
                startActivity(this)
            }
        }
    }
}
